Subject: Trouble with website.
From: N L <[email-masked]>
To: info <[email-masked]>
Date: Tue, 14 Oct 2025 04:32:20 +0000

I am trying to purchase some sheets and your website is making me want to throw up my hands an walk away.

First all I got was an error message trying to sign up.

Didn't matter the browser or the email. I got the error in the attached photo. Trying to get the %15 off.

Then, trying to check out - I never got an email and now my "passport isn't valid" because I can't validate my email address!

Please advise.

-Nikki Lund

[email-masked]